petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDualSpacePullback

Transform the given functional so that it operates on real space, rather than the reference element. Operationally, this means that we map the function evaluations depending on continuity requirements of our finite element method.

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpacePullback(PetscDualSpace dsp, PetscFEGeom *fegeom, PetscInt Nq, PetscInt Nc, PetscScalar pointEval[])

### Input Parameters

| dsp | - The PetscDualSpace
| fegeom | - The geometry for this cell
| Nq | - The number of function samples
| Nc | - The number of function components
| pointEval | - The function values

### Output Parameter

pointEval -The transformed function values

Note: Functions transform in a complementary way (pushforward) to functionals, so that the scalar product is invariant. The type of transform is dependent on the associated k-simplex from the DeRahm complex.

### See Also

PetscDualSpacePushforward(), PetscDualSpaceTransform(), PetscDualSpaceGetDeRahm()

### Level

advanced

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages